Minecraft mod packs are EXTREMELY old

Nitrado now has an official Discord server to bring communities, friends and other gamers together!
Join the Nitrado Community Discord now and share your experiences and knowledge with others!

Click here to go to the Discord Server!
  • I cannot for the life of me figure out how to run the mod packs that are installed. I've tried and tried, but all I come to are dead ends. Tried FTB Revelation and I can't use it because the version is significantly older then what's available. I tried the normal mod pack so I can add my own mods, but the verision is 1.7.10 which is so old that the Forge client won't even boot it. So I just paid like $15 to have a server that I can only run Vanilla. Unless someone can resolve my issue (which honestly should be updating these damn mod packs) I feel like I've thrown my money in the wind and I will find someone else that can provide properly updated servers.